//********************************************************************** 

void	main()
{
	static	char	buf[16];
	static	double	ad, vref_d, vref_s;
	//
	OSCCON = 0b01110000;		// NbN8MHz 
	CMCON  = 0b00000111;		// Rp[^͎gpȂB
	ANSEL  = 0b00011100;		// A/Dϊ͎gpB 
	TRISA  = 0b11111111;
	TRISB  = 0b00000000;
	//
	Lcd_Custom_Config(&PORTA, 1, 0, 7, 6, &PORTB, 5, 6, 7);
	Lcd_Custom_Cmd(LCD_CURSOR_OFF);
	Lcd_Custom_Cmd(LCD_CLEAR);
	//
	while (1) {
		ADCON1.VCFG1 = 0;
		ADCON1.VCFG0 = 0;
		ad = Adc_Read(4);
		ad = ad * 4.8828125;
		WordToStr(ad * 10.0, buf);
		buf[6] = 0x00;
		buf[5] = buf[4];
		buf[4] = '.';
		Lcd_Custom_Out(1, 1, buf);
		//
		vref_s = Adc_Read(2);
		vref_s = vref_s * 4.8828125;
		WordToStr(vref_s * 10.0, buf);
		buf[6] = 0x00;
		buf[5] = buf[4];
		buf[4] = '.';
		Lcd_Custom_Out(1, 9, buf);
		//
		vref_d = Adc_Read(3);
		vref_d = vref_d * 4.8828125;
		WordToStr(vref_d * 10.0, buf);
		buf[6] = 0x00;
		buf[5] = buf[4];
		buf[4] = '.';
		Lcd_Custom_Out(2, 9, buf);
		//
		ADCON1.VCFG1 = 1;
		ADCON1.VCFG0 = 1;
		ad = Adc_Read(4);
		ad = ad * ((vref_d - vref_s) / 1024) + vref_s;
		WordToStr(ad * 10.0, buf);
		buf[6] = 0x00;
		buf[5] = buf[4];
		buf[4] = '.';
		Lcd_Custom_Out(2, 1, buf);
		//
		Delay_ms(500);
	}
}

//********************************************************************** 

